import { AsyncCallbackFn, CallbackFn, NodePathSegmentFormatter } from "./types";
export declare function apply(target: any, ...callbacks: CallbackFn[]): void;
export declare function applyAsync(target: any, ...callbacks: AsyncCallbackFn[]): Promise<void>;
export declare function deepCopy(target: object, delimiter?: string): {} | null;
export declare class Break extends Error {
    constructor(message?: string);
}
export declare type NodeComparison = {
    path: string;
    a?: any;
    b?: any;
    hasDifference: boolean;
    difference?: 'added' | 'removed' | {
        before: any;
        after: any;
    };
};
export declare function compare(a: object, b: object, leavesOnly?: boolean, formatter?: NodePathSegmentFormatter): NodeComparison[];
